Last Comment Bug 651812 - When setting a group item to be active, its "active tab" should be selected
: When setting a group item to be active, its "active tab" should be selected
Status: VERIFIED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: ---
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
Depends on: 632294
Blocks: 660175
  Show dependency treegraph
 
Reported: 2011-04-21 01:27 PDT by Raymond Lee [:raymondlee]
Modified: 2016-04-12 14:00 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Raymond Lee [:raymondlee] 2011-04-21 01:27:41 PDT
See bug 632294 comment 7

"...When you set a group to be active (i.e. UI.setActive(groupItem)), it should select its "active tab". This will likely change the UI's behavior, but for the better...."
Comment 1 Tim Taubert [:ttaubert] 2011-05-27 02:23:29 PDT
bugspam
Comment 2 Tim Taubert [:ttaubert] 2011-05-27 02:28:23 PDT
bugspam
Comment 3 Raymond Lee [:raymondlee] 2011-05-31 05:20:39 PDT
I've checked the code and it seems it's working as described in comment 0.

When UI.setActive(groupItem) is called, UI._setActiveTab(tabItem) would be called.  

http://hg.mozilla.org/mozilla-central/file/eee0bb5dca28/browser/base/content/tabview/ui.js#l438


There are two exceptions: [1] when an app tab is clicked, the group is set to be active and no active tab item is set. [2] Set the active group and then create a new tab in that group.

[1] http://hg.mozilla.org/mozilla-central/file/eee0bb5dca28/browser/base/content/tabview/groupitems.js#l1145 
[2] http://hg.mozilla.org/mozilla-central/file/eee0bb5dca28/browser/base/content/tabview/groupitems.js#l1785

I think the current implementation covers the requirement in this bug.
Comment 4 Tim Taubert [:ttaubert] 2011-05-31 05:25:26 PDT
Agreed, setting an active group activates the last active tabItem in this group by default. I think that's the behavior we want.
Comment 5 George Carstoiu 2011-06-21 05:45:44 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110620 Firefox/7.0a1

Verified on Ubuntu 11.04 x86, WinXP, Win7 x86 and Mac OS X 10.6. Changing from one group to another within panorama activates(focuses) the latest focused tab. 

Setting status to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.